
CLI = [
   71.595, 62.825, 69.96;
79.34, 71.025, 78.965;
76.86, 57.81, 70.39;
82.37, 65.815, 76.125;
74.105, 56.575, 68.34;
80.86, 52.085, 65.875;
92.01, 63.07, 81.06;
];

CODEC = [74.65, 71.225, 86.565;
72.895, 68.825, 86.42;
72.69, 62.95, 84.52;
72.84, 59, 84.355;
73.29, 65.195, 85.955;
70.43, 54.725, 82.655;
85.88, 83.2, 85.76;];

COMPRESS = [0, 0, 0;
44.71, 21.97, 29.13;
40.45, 17.23, 25.02;
37.16, 15.01, 23.55;
39.72, 15.93, 26.04;
38.22, 15.16, 23.9;
37.56, 21.04, 25.07;
];

JXPATH = [58.505, 28.43, 39.54;
56.3, 29.13, 40.83;
47.97, 21.215, 32.3;
53.29, 22.005, 35.455;
50.615, 22.46, 33.64;
48.06, 18.91, 30.665;
15.48, 6.55, 11.67;];

CARGOTRACKER = [46.62, 27.865, 35.775;
41.3, 23.145, 22.685;
45.69, 19.1, 33.15;
55.49, 28.535, 40.335;
40.625, 19.775, 31.215;
42.905, 20.335, 33.04;
55.98, 28.54, 32.66;];

PETCLINIC = [42.89, 20.56 ,26.7, 25.795;
43.715, 17.435 ,23.605, 22.355;
42.155, 12.5 ,21.905, 19.94;
45.83, 15.62 ,24.17, 22.86;
42.765, 13.86 ,23.085, 21.69;
19.68, 6.7 ,10.23, 9.695;
32.82, 9.92 ,15.82, 16.31;];

DAYTRADER = [55.55, 20, 32.705;
50, 16.875, 25.915;
51.01, 12.5, 27.555;
54.54, 15.625, 30.92;
49.995, 18.75, 32.075;
46.99, 15, 24.04;];

APPX = [];

% labels = {
%     'cliASTER\_GPT\_4', ...
%     'cliASTER\_Llama\_3\_70b', ...
%     'cliASTER\_Codellama\_34b', ...
%     'cliASTER\_Granite\_34b', ...
%     'cliASTER\_Llama\_3\_8b', ...
%     'cliASTER\_Granite\_8b', ...
%     'cliEvoSuite'
% };

categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = CLI';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])
% % Save to PDF
% set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
% set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
% % Remove extra white space around the figure
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'CLI.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);


categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = CODEC';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])
% % Save to PDF
% set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
% set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'Codec.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = COMPRESS';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])
% 
% % Save to PDF
% set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
% set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'compress.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = JXPATH';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])

% Save to PDF
set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'jxpath.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = CARGOTRACKER';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])

% Save to PDF
set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'cargotracker.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = PETCLINIC';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])

% Save to PDF
set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'petclininc.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = DAYTRADER';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%ylabel('Scores');
ylim([0 100])

% Save to PDF
set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'daytrader.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);



categories = {'Method coverage', 'Branch coverage', 'Line coverage'};

% Transpose data for the new plot
data = APPX';

% Create the bar plot
figure;
bar(data);
set(gca, 'XTickLabel', categories);
% legend(labels, 'Location', 'Best');
%%ylabel('Scores');
ylim([0 100])

% Save to PDF
set(gcf, 'PaperPosition', [0 0 15 7]); % Position plot at left hand corner with width 15 and height 7.
set(gcf, 'PaperSize', [15 7]); % Set the paper to have width 15 and height 7.
axis tight; ax = gca; ax.YLim = [0 100]; % Ensure y-axis limits are set correctly

% Export the figure to a PDF with minimal surrounding space
exportgraphics(gcf, 'appx.pdf', 'ContentType', 'vector', 'BackgroundColor', 'none', 'Resolution', 300);
